#!/bin/sh

echo 'name: hashed-storage
version: 0.5.2
license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
stability:
homepage:
package-url:
description: Support code for reading and manipulating hashed file storage
             (where each file and directory is associated with a
             cryptographic hash, for corruption-resistant storage and fast
             comparisons).
             .
             The supported storage formats include darcs hashed pristine, a
             plain filesystem tree and an indexed plain tree (where the index
             maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules: Storage.Hashed Storage.Hashed.AnchoredPath
                 Storage.Hashed.Index Storage.Hashed.Monad Storage.Hashed.Tree
                 Storage.Hashed.Hash Storage.Hashed.Packed Storage.Hashed.Plain
                 Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
import-dirs: /usr/local/lib/hashed-storage-0.5.2/ghc-6.10.4
library-dirs: /usr/local/lib/hashed-storage-0.5.2/ghc-6.10.4
              /usr/local/lib
hs-libraries: HShashed-storage-0.5.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.1.0.0 binary-0.5.0.2 bytestring-0.9.1.4
         containers-0.2.0.1 dataenc-0.13.0.3 directory-1.0.0.3
         extensible-exceptions-0.1.1.0 filepath-1.1.0.2 mmap-0.5.6
         mtl-1.1.0.2 zlib-0.5.2.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/hashed-storage-0.5.2/html/hashed-storage.haddock
haddock-html: /usr/local/share/doc/hashed-storage-0.5.2/html' | /usr/local/bin/ghc-pkg update -
